Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365508 - digikam-5.1.0 is available
Summary: digikam-5.1.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 12:11 UTC by Upstream Release Monitoring
Modified: 2016-08-19 02:26 UTC (History)
7 users (show)

Fixed In Version: digikam-5.1.0-1.fc24 digikam-5.1.0-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-15 21:26:13 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-08-09 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-08-09 12:11:41 UTC
Latest upstream release: 5.1.0
Current version/release in rawhide: 5.0.0-3.fc26
URL: https://www.digikam.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/437/

Comment 1 Upstream Release Monitoring 2016-08-09 12:14:16 UTC
Patching or scratch build for digikam-5.0.0 failed.

Comment 2 Upstream Release Monitoring 2016-08-09 12:14:18 UTC
Created attachment 1189235 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-08-09 12:14:21 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2016-08-09 16:13:33 UTC
rdieter's digikam-5.1.0-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=790122

Comment 5 Fedora Update System 2016-08-09 17:50:39 UTC
digikam-5.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10e0e2215c

Comment 6 Fedora Update System 2016-08-09 17:51:43 UTC
digikam-5.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dce863643f

Comment 7 Fedora Update System 2016-08-10 04:57:12 UTC
digikam-5.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10e0e2215c

Comment 8 Fedora Update System 2016-08-10 12:25:00 UTC
digikam-5.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dce863643f

Comment 9 Matt Bagley 2016-08-12 03:20:01 UTC
The 'mysql server' option does work not due to the dependency 'qt5-qtbase-mysql' not being required/installed.

It gives the error: "Testing database connection has failed with error Driver not loaded". Installed the above package and it worked (after restarting digikam). This is with the i686 version (if that matters).

Everything else works for 'mysql server'. I upgraded from digikam 4.x/Fedora 22 with no other issues than having to install this dependency and put in my mysql server values again (no direct upgrade available).

Comment 10 Matt Bagley 2016-08-12 03:22:23 UTC
*does not work (it's late).

Comment 11 Rex Dieter 2016-08-12 13:30:49 UTC
digikam has only a soft dependency:

Recommends: qt5-qtbase-mysql%{?_isa}

since this is an optional/non-default feature.  Recommends type dependencies should get installed by default by dnf (and friends).  If not, that's a bug elsewhere.

Comment 12 samoht0 2016-08-13 19:18:16 UTC
Likely again the severe issue, Igor Gnatenko noted here:

https://bugzilla.redhat.com/show_bug.cgi?id=1349743#c42

Comment 13 Fedora Update System 2016-08-15 21:26:09 UTC
digikam-5.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-08-19 02:25:52 UTC
digikam-5.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.